document.addEventListener('DOMContentLoaded', init);

function init() {
    //forceHttps();
    actrivateMessage();
    setTimeout(hideMessage, 3000);
    windowReload();
}

function forceHttps() {
    if (location.protocol != 'https:') {
        location.href = 'https://' + location.hostname + location.pathname;
    }
}

function actrivateMessage() {
    document.querySelectorAll('.modal').forEach((modal)=>{modal.style.position = 'fixed'});
}

function getFileName() {
    let pathname = location.pathname;
    let fileNameRegEx = /[a-z]+\.[a-z]+/i;
    let fileName = pathname.match(fileNameRegEx);
    return (fileName === null)?'index.php':fileName[0];
}

function hideMessage() {
    if (getFileName() != 'check.php') {
        document.querySelectorAll('.modal').forEach((modal) => { modal.style.display = 'none' });
    }
}

function windowReload() {
    if (getFileName() == 'check.php') {
        let message = document.querySelector('.message p').innerHTML;
        let timeRegEx = /[0-9]/;
        let time = message.match(timeRegEx);
        time = time[0];
        setTimeout(updateMessage, 1000, time, message);//Starte Countdown
    }
}

function updateMessage(time, message) {
    let newTime = time-1;
    message = message.replace(time, newTime);
    document.querySelector('.message p').innerHTML = message;
    if (newTime == 1) {
        setTimeout(() => {location.reload()}, 1000);
        return;
    }
    setTimeout(updateMessage, 1000, newTime, message);
}